### Method

# Gio SocketListener add_inet_port

since: 2.22

#### Declaration

    gboolean
    g_socket_listener_add_inet_port (
      GSocketListener* listener,
      guint16 port,
      GObject* source_object,
      GError** error
    )

#### Description

Helper function for `g_socket_listener_add_address()` that creates a TCP/IP socket listening on IPv4 and IPv6 (if supported) on the specified port on all interfaces.

`source_object` will be passed out in the various calls to accept to identify this particular source, which is useful if you’re listening on multiple addresses and do different things depending on what address is connected to.

Call `g_socket_listener_close()` to stop listening on `port`; this will not be done automatically when you drop your final reference to `listener`, as references may be held internally.

Available since: 2.22

#### Parameters

`port`

  Type: `guint16`

  An IP port number (non-zero).

`source_object`

  Type: `GObject`

  Optional `GObject` identifying this source.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success, `FALSE` on error.